Skip to main content
`Ctrl`+`K`

# DSNEPGetRefine

Returns the tolerance and the number of iterations of Newton iterative refinement for eigenpairs.

## Synopsis

    #include "slepcds.h"
    PetscErrorCode DSNEPGetRefine(DS ds,PetscReal *tol,PetscInt *its)

Not Collective

## Input Parameter

- ds - the direct solver context

## Output Parameters

- tol - the tolerance

- its - the number of iterations

## See Also

DS: Direct Solver (or Dense System), `DSNEP`, `DSNEPSetRefine()`

## Level

advanced

## Location

src/sys/classes/ds/impls/nep/dsnep.c

## Implementations

DSNEPGetRefine_NEP() in src/sys/classes/ds/impls/nep/dsnep.c

Index of all DS routines Table of Contents for all manual pages Index of all manual pages